//
//  BLEDeviceManagerRealTimeWeighDelegate.h
//  PallySDK
//
//

#import <Foundation/Foundation.h>

@class BLEDeviceManager;
@protocol BLEDeviceManagerRealTimeWeighDelegate <NSObject>
@optional
#pragma mark - Methods to handle basedata
// basedata is the original weight data from Scale, you can convert it using the following method to kg/lb
// kg = [[BLEDeviceManager sharedInstance] displayValueByKG:basedata]
// lb = [[BLEDeviceManager sharedInstance] displayValueByLB:basedata]
- (void)deviceManger:(BLEDeviceManager *)deviceManger updatedRealTimeValue_basedata:(float)basedata uuid:(NSString *)uuid;
- (void)deviceManger:(BLEDeviceManager *)deviceManger updatedRealTimeValue_finalValue_basedata:(float)basedata uuid:(NSString *)uuid;

#pragma mark - Methods to handle formatted(kg/lb) data
// depend on [BLEDeviceManager sharedInstance] setUnit:(AceWeightUnit)unit]
// kg = [[BLEDeviceManager sharedInstance] displayValueByKG:basedata]
// lb = [[BLEDeviceManager sharedInstance] displayValueByLB:basedata]
- (void)deviceManger:(BLEDeviceManager *)deviceManger updatedRealTimeValue:(float)data uuid:(NSString *)uuid;
- (void)deviceManger:(BLEDeviceManager *)deviceManger updatedRealTimeValue_finalValue:(float)data uuid:(NSString *)uuid;


@end
