#define SDKVertion                              @"1.0"
#define keyName_unit                            @"PallyScalePara_weightUnit"
#define keyName_CurrentUserId                   @"PallyScalePara_CurrentUserId"

typedef NS_ENUM(NSInteger, AceBLEMgrPattern) {
    PatternAllFeature = 1,                      // Pattern for app need all feature of Pally weight scale (Real-Time weigh, exporting stored data.)
    PatternRealTimeWeighOnly = 2                // Pattern for app only need Real-Time weigh feature. (In this pattern app not need to pair with iOS device.)
};

typedef NS_ENUM(NSInteger, AceBLEMgrEvent) {
    EventDeviceUnsupported = 1,                 // Your device doesn't support Bluetooth Low Energy.
    EventNoBLEConnection = 2,                   // You need to connect your scale
    EventWaittingForPair = 3,                   // You need to press the pairing button on scale.
    EventPairingFinished = 4,                   // Pairing finished.
    EventPairingFailure = 5,                    // Pairing failure, you need to press the pairing button on scale one more time.
    EventDownloadStarted = 6,                   // Patch download started.
    EventDownloadFinished = 7,                  // Patch download finished.
    EventBLEDeviceFounded = 8,                  // Device founded.
    EventNoBLEDeviceFound = 9,                  // Cannot find any scale. Please make sure your scale is powered.
                                                // Note that the scale cannot connect to more than one iOS device at the same time.
    EventBLEConnectted = 10,                    // A BLE deivce connectted.
    EventBLEDisconnectted = 11,                 // A BLE deivce disconnectted.
    EventBLEDiscoverFinished = 12,              // Discover of all characteristics had finished
    EventTimingForSaveDevice = 13,              // Timing to save a new device.
    EventTimingForFetchDataOnConnectted = 14,   // Timing to fetch new weight record (stored on BLE scale) on connectted.
                                                // only valid when [[BLEDeviceManager sharedInstance] setAutoFetchDataOnConnectted:YES]
    EventFoundFirstTargetDevice = 15            // Timing for found first target device
};

typedef NS_ENUM(NSInteger, AceWeightUnit) {
    WeightUnitTypeKG  = 1,
    WeightUnitTypeLB  = 2
};


